> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mantle.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an agent draft



## OpenAPI

````yaml /api-reference/openapi.json get /v1/agent-drafts/{draftId}
openapi: 3.1.0
info:
  title: Mantle Platform API
  version: 1.0.0-beta.1
  description: >-
    Agents and their change sets, task runs, agent responses, outbound webhooks,
    and bots that post with their own tokens. Most endpoints take a workspace
    API key; bot endpoints take a bot token.
servers:
  - url: https://api.mantle.chat
    description: Production
security: []
tags:
  - name: Agents
  - name: Agent drafts
  - name: Agent change-set mutations
  - name: Agent change sets
  - name: Tasks
  - name: Runs
  - name: Agent responses
    description: >-
      Single-turn private responses using a saved agent. Requires explicit
      invoke/read scopes and workspace pilot enablement. No browser conversation
      or task is created.
  - name: Webhooks
  - name: Bots
paths:
  /v1/agent-drafts/{draftId}:
    get:
      tags:
        - Agent drafts
      summary: Get an agent draft
      operationId: agentDraftReads.getAgentDraft
      parameters:
        - name: draftId
          in: path
          schema:
            type: string
            allOf:
              - pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                format: uuid
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  schemaVersion:
                    type: string
                    enum:
                      - agent-draft.v1
                  id:
                    type: string
                    allOf:
                      - pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                        format: uuid
                  workspaceId:
                    type: string
                    allOf:
                      - pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                        format: uuid
                  agentId:
                    type: string
                    allOf:
                      - pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                        format: uuid
                  version:
                    type: integer
                    allOf:
                      - minimum: 1
                  spec:
                    type: object
                    properties:
                      schemaVersion:
                        type: string
                        enum:
                          - agent-spec.v1
                      metadata:
                        type: object
                        properties:
                          name:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 100
                          description:
                            anyOf:
                              - type: string
                                allOf:
                                  - maxLength: 500
                              - type: 'null'
                          icon:
                            anyOf:
                              - type: string
                                allOf:
                                  - maxLength: 50
                              - type: 'null'
                          iconFitMode:
                            anyOf:
                              - type: string
                                enum:
                                  - contain
                                  - cover
                              - type: 'null'
                        required:
                          - name
                          - description
                          - icon
                          - iconFitMode
                        additionalProperties: false
                      model:
                        type: object
                        properties:
                          modelId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 50
                          systemInstructions:
                            anyOf:
                              - type: string
                                allOf:
                                  - maxLength: 10000
                              - type: 'null'
                          temperature:
                            anyOf:
                              - anyOf:
                                  - anyOf:
                                      - type: number
                                      - type: string
                                        enum:
                                          - NaN
                                      - type: string
                                        enum:
                                          - Infinity
                                      - type: string
                                        enum:
                                          - '-Infinity'
                                  - type: string
                                    enum:
                                      - Infinity
                                      - '-Infinity'
                                      - NaN
                              - type: 'null'
                          maxToolSteps:
                            anyOf:
                              - type: integer
                                allOf:
                                  - minimum: 1
                                  - maximum: 50
                              - type: 'null'
                        required:
                          - modelId
                          - systemInstructions
                          - temperature
                          - maxToolSteps
                        additionalProperties: false
                      tools:
                        type: object
                        properties:
                          mcpServerIds:
                            type: array
                            items:
                              type: string
                              allOf:
                                - minLength: 1
                          mcpSelectedTools:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: array
                                  items:
                                    type: string
                                    allOf:
                                      - minLength: 1
                                - type: 'null'
                          managedToolProviderIds:
                            type: array
                            items:
                              type: string
                              allOf:
                                - minLength: 1
                          managedSelectedTools:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: array
                                  items:
                                    type: string
                                    allOf:
                                      - minLength: 1
                                - type: 'null'
                        required:
                          - mcpServerIds
                          - mcpSelectedTools
                          - managedToolProviderIds
                          - managedSelectedTools
                        additionalProperties: false
                    required:
                      - schemaVersion
                      - metadata
                      - model
                      - tools
                    additionalProperties: false
                  bindings:
                    type: object
                    properties:
                      schemaVersion:
                        type: string
                        enum:
                          - agent-workspace-bindings.v1
                      workspaceId:
                        type: string
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                            format: uuid
                      folderId:
                        anyOf:
                          - type: string
                            allOf:
                              - pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                                format: uuid
                          - type: 'null'
                      pinned:
                        type: boolean
                      sharedWithWorkspace:
                        type: boolean
                    required:
                      - schemaVersion
                      - workspaceId
                      - folderId
                      - pinned
                      - sharedWithWorkspace
                    additionalProperties: false
                  createdBy:
                    anyOf:
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - user
                          userId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                        required:
                          - kind
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - oauth_client
                          clientId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                        required:
                          - kind
                          - clientId
                        additionalProperties: false
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - api_credential
                          credentialId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                        required:
                          - kind
                          - credentialId
                        additionalProperties: false
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - service_principal
                          principalId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                        required:
                          - kind
                          - principalId
                        additionalProperties: false
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - agent_workload
                          agentId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          runId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                        required:
                          - kind
                          - agentId
                        additionalProperties: false
                  createdAt:
                    type: string
                    allOf:
                      - minLength: 1
                      - maxLength: 64
                  updatedAt:
                    type: string
                    allOf:
                      - minLength: 1
                      - maxLength: 64
                required:
                  - schemaVersion
                  - id
                  - workspaceId
                  - agentId
                  - version
                  - spec
                  - bindings
                  - createdBy
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '400':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_cursor
                          - invalid_idempotency_key
                          - invalid_request
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: Error
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            anyOf:
                              - type: string
                                enum:
                                  - invalid_credential
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - NaN
                                        - type: string
                                          enum:
                                            - Infinity
                                        - type: string
                                          enum:
                                            - '-Infinity'
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            anyOf:
                              - type: string
                                enum:
                                  - invalid_credential
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
        '403':
          description: Error
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - access_denied
                              - insufficient_scope
                              - workspace_not_enabled
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - NaN
                                        - type: string
                                          enum:
                                            - Infinity
                                        - type: string
                                          enum:
                                            - '-Infinity'
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - access_denied
                              - insufficient_scope
                              - workspace_not_enabled
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
        '404':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - agent_not_found
                          - response_not_found
                          - change_set_not_found
                          - draft_not_found
                          - run_not_found
                          - task_not_found
                          - webhook_delivery_not_found
                          - webhook_endpoint_not_found
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - idempotency_conflict
                          - idempotency_in_progress
                          - configuration_changed
                          - unsupported_model
                          - resource_conflict
                          - run_not_cancellable
                          - stale_change_set
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '410':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        anyOf:
                          - type: string
                            enum:
                              - response_expired
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '422':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_change_set
                          - invalid_webhook_endpoint
                          - validation_failed
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: Error
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - rate_limited
                              - capacity_exceeded
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - NaN
                                        - type: string
                                          enum:
                                            - Infinity
                                        - type: string
                                          enum:
                                            - '-Infinity'
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - rate_limited
                              - capacity_exceeded
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
        '503':
          description: Error
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - credential_service_unavailable
                              - platform_unavailable
                              - agent_responses_not_enabled
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - NaN
                                        - type: string
                                          enum:
                                            - Infinity
                                        - type: string
                                          enum:
                                            - '-Infinity'
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - credential_service_unavailable
                              - platform_unavailable
                              - agent_responses_not_enabled
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.